Summary: 	The Advanced Linux Sound Architecture (ALSA) (OSS) Utils library
Name: 		alsa-utils
Version: 	1.0.23
Release: 	1
License: 	GPL
Group: 		Multimedia
URL:            http://www.alsa-project.org/
Source: 	ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}%{?prever}.tar.bz2
Source1:        alsamixer.desktop
Source3:	rexima-1.4.tar.gz
Patch0:		rexima.diff
Patch1:		alsa-utils-1.0.23.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	alsa-lib-devel >= %{version}

%description
Advanced Linux Sound Architecture (ALSA) - (Open Sound System (OSS) Utils

- general
  - modularized architecture with support for 2.6.x
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
- ISA soundcards
  - support for 128k ISA DMA buffer
- mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and
    decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
- digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
- OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility

%prep
%setup -q -a 3
%patch0 -p0
%patch1 -p0

%build
%configure \
    --enable-static=yes \
    --program-prefix=%{?_program_prefix}
#make
cd rexima*; make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
cp rexima*/rexima %{buildroot}/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/{Multimedia,Utilities}
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
/*
